////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     Host Data Channel (HDC) Module
///
///     This file defines the HDC module API prototypes and definitions.
///
////////////////////////////////////////////////////////////////////////////

#pragma once

// ---- Include Files -------------------------------------------------------

// ---- Constants and Types -------------------------------------------------

// HDC GFUN function capability bitmask
#define TERA_HDC_GFUN_FUNC_CAP_BITMASK  0x4

// ---- Variable Externs ----------------------------------------------------

// ---- Function Prototypes -------------------------------------------------

extern INT32 tera_hdc_init_phase1(
    struct  pci_dev *dev
    );

extern INT32 tera_hdc_init_phase2(
    struct  pci_dev *dev
    );

extern void tera_hdc_cleanup(
    struct  pci_dev *dev
    );

extern INT32 tera_hdc_start(
    struct  pci_dev *dev
    );

extern void tera_hdc_stop(
    struct  pci_dev *dev
    );

extern INT32 tera_hdc_ioctl_proc(
    struct  pci_dev *dev,
    unsigned int  ioctl,
    unsigned long arg
    );

