////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     PCoIP Host Software Image Property Page Class
///
///     This file defines the PCoIP Host Software Image property page class.
///
////////////////////////////////////////////////////////////////////////////

#pragma once

// ---- Include Files -------------------------------------------------------

#include "tera_pcoip_agent_gui_res.h"

// ---- Constants and Types -------------------------------------------------

// --------------------------------------------------------------------------
//  cPCOIP_AGENT_GUI_PROP_IMG
///     PCoIP Host Software Image property page
//
//  Description:
///     This class defines the PCoIP Host Software Image property page. This
///     page shows the image configuration of the blade and client if
//      available.
///
class cPCOIP_AGENT_GUI_PROP_IMG : public cPCOIP_AGENT_GUI_PROP_IMG_BASE
{

public:

    // --- Public Functions -------------------------------------------------

    cPCOIP_AGENT_GUI_PROP_IMG(
        wxWindow *parent);

    ~cPCOIP_AGENT_GUI_PROP_IMG(void);

    // --- Public Variables -------------------------------------------------

protected:

    // --- Protected Functions ----------------------------------------------

    // Event handlers
    void evt_any_scroll(
        wxScrollEvent& evt);

    void evt_init_dialog(
        wxInitDialogEvent& evt);

    void evt_apply_btn(
        wxCommandEvent& evt);

    // Function overrides

    // Local functions
    void init_img_slider(bool enable);

    void img_qual_pref_set_gui(UINT32 client_img_qual);

    UINT32 img_qual_pref_get_gui(void);

    void help_btn_setup(bool display_help);

    // --- Protected Variables ----------------------------------------------
    UINT32       m_img_qual_pref;            ///< Variable that tracks the value of the img qual pref
    INT          m_img_qual_pref_slider_set; ///< flag used to determine whether the slider can be read

    DECLARE_EVENT_TABLE()
}; // cPCOIP_AGENT_GUI_PROP_IMG

// ---- Variable Externs ----------------------------------------------------

// ---- Function Prototypes -------------------------------------------------

