////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     PCoIP Host Software About Property Page Class Implementation
///
///     This file implements the PCoIP Host Software About property page
///     class.
///
////////////////////////////////////////////////////////////////////////////

// ---- Include Files -------------------------------------------------------

#include <wx/wxprec.h>

#if !defined(WX_PRECOMP)
    #include <wx/wx.h>
#endif

#include "tera_types.h"
#include "tera_pcoip_agent_gui.h"
#include "tera_pcoip_agent_gui_prop_about.h"

// ---- Global Variables ----------------------------------------------------

// ---- Private Constants and Types -----------------------------------------

// ---- Local Variables -----------------------------------------------------

// ---- Local Function Prototypes -------------------------------------------

// --------------------------------------------------------------------------
//  cPCOIP_AGENT_GUI_PROP_ABOUT::cPCOIP_AGENT_GUI_PROP_ABOUT
//      Constructor
//
//  Description:
//      This function is the contructor for the About property page class. This
//      function sets the program version text.
//
cPCOIP_AGENT_GUI_PROP_ABOUT::cPCOIP_AGENT_GUI_PROP_ABOUT(
    wxWindow *parent
    ) :
    cPCOIP_AGENT_GUI_PROP_ABOUT_BASE(parent)
{
    wxString ver;

    ver.Printf(_T("Version %S (%S %S)"), HOST_SW_VERSION_STRING, __DATE__, __TIME__);

    m_ver_txt->SetLabel(ver);
} // cPCOIP_AGENT_GUI_PROP_ABOUT::cPCOIP_AGENT_GUI_PROP_ABOUT()

