////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     Single Instance Class
///
///     This file defines the single instance class.
///
////////////////////////////////////////////////////////////////////////////

#pragma once

// ---- Include Files -------------------------------------------------------

#include <wx/snglinst.h>

#include "tera_types.h"

// ---- Constants and Types -------------------------------------------------

// --------------------------------------------------------------------------
//  cTERA_SINST
///     Single instance class
//
//  Description:
///     This is the single instance class, which is used for limiting the
///     number of instances of a certain application/process.
///
class cTERA_SINST : public wxSingleInstanceChecker
{

public:

    // --- Public Functions -------------------------------------------------

    cTERA_SINST(
        const wxString& name,
        const wxString& path = wxEmptyString);

protected:

}; // cTERA_SINST

// ---- Variable Externs ----------------------------------------------------

// ---- Function Prototypes -------------------------------------------------

